spring:
  jpa:
    open-in-view: false
  jackson:
    date-format: com.fasterxml.jackson.databind.util.StdDateFormat
    default-property-inclusion: non_null
  datasource:
    url: jdbc:postgresql://localhost:5432/oidc
    username: ${POSTGRES_USERNAME:postgres}
    password: ${POSTGRES_PASSWORD:postgres}
server:
  port: 9090
  servlet:
    context-path: /auth
  error:
    include-stacktrace: never

auth-server:
  issuer: http://localhost:${server.port}${server.servlet.context-path}
  access-token:
    default-format: jwt
    lifetime: 10m
  id-token:
    lifetime: 5m
  refresh-token:
    lifetime: 8h
    max-lifetime: 8h

logging:
  level:
    com:
      example:
        authorizationserver: trace
    org:
      springframework:
        security: debug